--------(--)

スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

2011-10-31(Mon)

Ubuntu11.10 + gae/ja Eclipse + slim3でJSPのコンパイルエラー発生、デプロイできない

Eclipseでslim3を使っていざデプロイしようとすると以下のエラーが出てデプロイできない!

com.google.appengine.tools.admin.JspCompilationException: Failed to compile jsp files.

macなら何もしなくてもできるのに。。これが有料と無料の差だろうか?
ググってみるとそれらしきもの見つける!(ここ

Windows用のスレッドなので直接解決には結びつかないがJREに問題あるのか??
今は「openjdk-6-jre」をインストールしているが
synapticから
「default-jre」をインストールしてみる。
それからeclipseの設定で
Windows->Preferences->Java Build Pathを選択し
LibrariesタブからJRE System Libraryにフォーカスをあて
Editボタンをクリックする。
Screenshot-2011-10-31_001.png

JRE System Library画面でAlternate JREのラジオボタンをクリックし
Installed JREsをクリック。
Screenshot-2011-10-31_002.png


Installed JREsで現在のjava-6-openjdkを選択しEditボタンをクリック。
Screenshot-2011-10-31_003.png


おそらく/usr/lib/jvm/java-1.6.0-openjdkにインストールされているので
JRE homeをそこに設定する。

これでデプロイできた!!

参考資料:
Eclipse 3.7 完全攻略
関連記事
スポンサーサイト

コメントの投稿

管理者にだけ表示を許可する

コメント

プロフィール

kumagonjp2

Author:kumagonjp2
Python,Django,R,Mongo,MySQL,Struts,Spring,データマイニングなどサーバー関係のメモを残していきます。

最新記事
最新コメント
最新トラックバック
月別アーカイブ
カテゴリ
雪が3Dで降るブログパーツ ver2

マウスで見る方向変えられます

検索フォーム
RSSリンクの表示
リンク
ブロとも申請フォーム

この人とブロともになる

QRコード
QR
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。